Page MenuHomePhabricator

Pressing Escape upon warning of publishing translation with warnings publishes it anyway
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  1. Create a translation that is considered not fully translated (my case: https://pl.wikipedia.org/wiki/Special:ContentTranslation?title=Special:ContentTranslation&campaign=contributionsmenu&to=pl&page=Gri%C4%8D+Tunnel+%28Zagreb%29&from=en&targettitle=Wikipedysta%3ABonvol%2FTunel+Gri%C4%8D)
  2. Click Publish (top right corner, a pop-up warning window appears that there are sections not yet translated. Note: before I selected an option to publish in the sandbox
  3. When I see pop-up, I decide not to publish the content, even in the sandbox. However, I do not click the rejection button, just pressEsc on the keyboard (browser: Firefox).
  4. The content gets published anyway (https://pl.wikipedia.org/wiki/Wikipedysta:Bonvol/Tunel_Gri%C4%8D)

Actual Results:

Expected Results:

Event Timeline

Bonvol created this task.Jul 23 2019, 10:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2019, 10:41 PM

Change 525785 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Cancel publishing when user closes dialog by pressing Esc

https://gerrit.wikimedia.org/r/525785

santhosh triaged this task as Normal priority.Jul 29 2019, 5:23 AM
santhosh moved this task from Needs Triage to CX2 on the ContentTranslation board.

Change 525785 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Cancel publishing when user closes dialog by pressing Esc

https://gerrit.wikimedia.org/r/525785

Petar.petkovic closed this task as Resolved.Aug 6 2019, 10:13 AM